crack-attack (1.1.14-11) unstable; urgency=medium

  * Team upload
  * Drop gtk support (Closes: #967296)
  * Drop gtk patches
  * Replace manpage with upstream's version
  * Drop menu entry (start screen is gone)

 -- Bastian Germann <bage@debian.org>  Sat, 07 Dec 2024 20:34:20 +0100

crack-attack (1.1.14-10) unstable; urgency=medium

  * Team upload.
    Closes: #1085483
  * Maintain package in Debian Games team
  * Replace cdbs by dh
  * Build-Depends: libgl1-mesa-dev => libgl-dev
  * Do not provide debian/menu file since there is a desktop file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
    Closes: #894039, #998788, #1044474
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
  * watch file standard 4 (routine-update)
  * Postinst unneeded since debian/menu is not used any more.
  * d/copyright: DEP5
  * Use secure URI in watch file
  * Enable hardening options

 -- Andreas Tille <tille@debian.org>  Sun, 10 Nov 2024 07:56:19 +0100

crack-attack (1.1.14-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format (Closes: #1007362).

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 22:52:04 +0100

crack-attack (1.1.14-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: callbacks.cxx:116:38: error: format not a string literal
    and no format arguments [-Werror=format-security]": add new patch
    fix-string-format-error.patch from Eric Alexander that adds a format
    argument (closes: #643369).

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Nov 2011 18:03:51 +0100

crack-attack (1.1.14-9) unstable; urgency=low

  * Build-dep on freeglut3. (closes: #543694)

 -- Chris Boyle <cmb@debian.org>  Sat, 28 Nov 2009 13:29:57 +0000

crack-attack (1.1.14-8) unstable; urgency=low

  * Acknowledge NMU, thanks Marc.
  * Fix obsolete build-deps (x-dev, xlibmesa-gl-dev). (closes: #515494)
  * debian/watch: Fix URL, bump version to 3.
  * Bump Standards-Version to 3.8.1.0.
  * Bump debian/compat and debhelper build-dep to 7.
  * menu: Fix section (Tetris-like -> Blocks).
  * Add Homepage field.
  * Refer to common-licenses for GFDL.
  * Convert debian/copyright to UTF-8.
  * set -e in post{inst,rm}.
  * Add misc:Depends.
  * Build-dep on autotools-dev to always update config.{sub,guess}.

 -- Chris Boyle <cmb@debian.org>  Sun, 24 May 2009 18:38:43 +0100

crack-attack (1.1.14-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS using patch from Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>. (Closes: #455157)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 17:12:58 +0100

crack-attack (1.1.14-7) unstable; urgency=low

  * Fix up some GUI shortcut collisions, including putting nothing on S for
    the benefit of the Spanish translation, and not colliding Quality/Quit
    as Ubuntu already fixed. (closes: #411374)
  * Exit when GUI window is closed. (closes: #371146)
  * Close audio if no sound files found, thanks Nathan A. Stine.
    (closes: #419837)
  * Bump Standards-Version to 3.7.2.2.

 -- Chris Boyle <cmb@debian.org>  Wed, 31 Oct 2007 23:08:13 +0000

crack-attack (1.1.14-6) unstable; urgency=low

  * Move desktop file into right place and add proper categories,
    thanks Ricardo Markiewicz. (closes: #378812)
  * Say Xorg instead of XFree.
  * Bump Standards-Version to 3.7.2.

 -- Chris Boyle <cmb@debian.org>  Fri, 25 Aug 2006 23:51:20 +0100

crack-attack (1.1.14-5) unstable; urgency=low

  * Add URL to description. (closes: #348274)

 -- Chris Boyle <cmb@debian.org>  Mon, 13 Feb 2006 14:13:59 +0000

crack-attack (1.1.14-4) unstable; urgency=medium

  * Build-Depends: x-dev not xlibs-dev. (closes: #346648)
  * crack-attack.menu: go to menu, not a single player game.
    (closes: #341464)

 -- Chris Boyle <cmb@debian.org>  Thu, 12 Jan 2006 13:00:16 +0000

crack-attack (1.1.14-3) unstable; urgency=medium

  * Patch from Samuel Mimram to call glutInit (not doing so had become a
    fatal error on launch). (closes: #334215)
  * --enable-sound (though there are still no sound files included)
  * Put icon in /usr/share/pixmaps.
  * Fix wrong FSF address and tyop in copyright file.
  * Bump Standards-Version to 3.6.2.
  * Change build-dep on libgl-dev to xlibmesa-gl-dev.

 -- Chris Boyle <cmb@debian.org>  Sun, 16 Oct 2005 16:05:07 +0100

crack-attack (1.1.14-2) unstable; urgency=low

  * Rebuild to hopefully fix segfault on amd64 and powerpc.

 -- Chris Boyle <cmb@debian.org>  Sat, 27 Aug 2005 15:00:17 +0100

crack-attack (1.1.14-1) unstable; urgency=low

  * New upstream release
  * Remove quote-flashing-warning.patch as the relevant line is now gone.
  * Similarly remove some manpage wrong place handling.

 -- Chris Boyle <cmb@debian.org>  Sun, 19 Jun 2005 20:09:09 +0100

crack-attack (1.1.12-r1-2) unstable; urgency=low

  * Remove broken upstream manpage (installs XML as a manpage...),
    debian-provided one still appears to be correct.
    (closes: #302489)

 -- Chris Boyle <cmb@debian.org>  Sat,  2 Apr 2005 22:47:01 +0100

crack-attack (1.1.12-r1-1) unstable; urgency=low

  * New upstream release (closes: #299705)
    - Add new upstream url to copyright file
    - They fixed the 100% CPU usage (closes: #159241)
    - They fixed a segfault on startup (closes: #245157)
  * Add a proper watch file
  * Remove the REUSEADDR patch, upstream does this now
  * Build-dep on libgtk2.0-dev for new GTK UI
  * Add missing SDL build-deps
  * LevelLights.cxx: quote warning about flashing (doesn't compile otherwise)

 -- Chris Boyle <cmb@debian.org>  Thu, 31 Mar 2005 14:34:36 +0100

crack-attack (1.1.10-3) unstable; urgency=high

  * High-urgency upload for sarge-targetted RC bugfix.
  * Add a proper copy of the GFDL to debian/copyright to document the
    license status of the manpage, and add a reference to this file from
    the manpage per GFDL section 6, thanks Steve Langasek
    (Closes: #292226)
  * Game.h: remove #define max(a,b) to allow building on gcc-4.0/amd64,
    thanks Andreas Jochens (Closes: #288825)

 -- Chris Boyle <cmb@debian.org>  Thu,  3 Feb 2005 12:13:12 +0000

crack-attack (1.1.10-2) unstable; urgency=low

  * Game.h: fix version number in header file (Closes: #279166).
    The Windows version is still wrong, but this isn't a Debian bug.
    I've mailed upstream about it.

 -- Chris Boyle <cmb@debian.org>  Sat, 27 Nov 2004 23:32:48 +0000

crack-attack (1.1.10-1) unstable; urgency=low

  * New upstream release
    - #221692 not quite closed since I can't find copyright information
      for the miguev patch, and it can't be put in the package without it.
    - changed url in copyright file
  * Removed useless README and AUTHORS files, added missing copyright
    information (Closes: #235707).
  * debian/crack-attack-manpage.xml:
    - Changed copyright character to &copy; and removed productname
      tags to avoid strange characters in output (Closes: #218756).
  * debian/patches/cpluspluscrap.patch:
    - removed (this has been fixed upstream)

 -- Chris Boyle <cmb@debian.org>  Sat, 20 Mar 2004 16:00:43 +0000

crack-attack (1.1.8.1-6) unstable; urgency=low

  * New maintainer (no ITA exists, messages were exchanged on
    debian-devel).
  * debian/control:
    - Bump Standards-Version to 3.6.1, no changes required.
  * debian/rules:
    - Add pointer to common-build-impl (Closes: #211333).
  * debian/patches/defines-fixbuild.patch:
    - New patch from Joshua Kwan <joshk@triplehelix.org>. Fix build failure
      with XFree86 4.3.0 (Closes: #206013).

 -- Chris Boyle <cmb@debian.org>  Thu, 18 Sep 2003 22:41:01 +0100

crack-attack (1.1.8.1-5) unstable; urgency=low

  * debian/patches/cplusplus-crap.patch:
    - New patch from Nicolas Boullis <nboullis@debian.org>.  This
      should fix all the g++ 3.3 strstream.h and other issues
      (Closes: #198976).
    - Add Build-Depends on libxml2-utils, apparently because xmlto
      needs some stuff from there.

 -- Colin Walters <walters@debian.org>  Sun, 29 Jun 2003 15:47:11 -0400

crack-attack (1.1.8.1-4) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.5.10, no changes required.
    - Add Build-Depends on cdbs.
  * debian/rules:
    - Convert to cdbs.
  * debian/rocks:
    - Removed.

 -- Colin Walters <walters@debian.org>  Sat, 24 May 2003 18:13:02 -0400

crack-attack (1.1.8.1-3) unstable; urgency=low

  * The "Stephen Hawking Builds Robotic Exoskeleton" release.
  * gcc-3.2 transition.
  * debian/control:
    - Standards-Version: 3.5.9, no changes required.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Fri, 18 Apr 2003 02:30:17 -0400

crack-attack (1.1.8.1-2) unstable; urgency=low

  * debian/control:
    - Actually change docbook-to-man build dep to xmlto, as previous
    changelog mentioned (Closes: #175250).

 -- Colin Walters <walters@debian.org>  Fri,  3 Jan 2003 21:52:14 -0500

crack-attack (1.1.8.1-1) unstable; urgency=low

  * Fake new upstream release so we can switch to CBS.
  * debian/rules:
    - Use Colin's Build System.
  * debian/control:
    - Drop Build-Depends on dbs.
    - Bump versioned depends on debhelper to 4.1.0.
    - Drop Build-Depends on docbook-to-man.
    - Add Build-Depends on xmlto.
    - Standards-Version: 3.5.8.
    - Decapitialize description synopsis.
    - Minor description fixes.
  * debian/patches/server-so-reuseaddr.patch:
    - New patch to set the SO_REUSEADDR flag on server sockets.
  * debian/crack-attack.postinst, debian/crack-attack.prerm:
    - Add copyright lines.
  * debian/crack-attack.sgml:
    - Rewrite into debian/crack-attack-manpage.xml.  Cleaned up and
    converted to Docbook XML.  Move to section 6 (Closes: #167172).

 -- Colin Walters <walters@debian.org>  Fri,  3 Jan 2003 13:43:28 -0500

crack-attack (1.1.8-3) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.5.7
    - Capitalize first letter of synopsis.
  * debian/rules:
    - Support "noopt" option.

 -- Colin Walters <walters@debian.org>  Mon, 16 Sep 2002 00:29:47 -0400

crack-attack (1.1.8-2) unstable; urgency=low

  * debian/rules:
    - Include images in documentation (Closes: #156804)

 -- Colin Walters <walters@debian.org>  Tue, 20 Aug 2002 01:18:03 -0400

crack-attack (1.1.8-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - Remove "debian/crack-attack.1" instead of
      "debian/gnome-system-monitor.1" in clean target.

 -- Colin Walters <walters@debian.org>  Sat, 13 Jul 2002 23:27:07 -0400

crack-attack (1.1.7.1-2) unstable; urgency=low

  * debian/rules:
    - Don't install Makefiles in /usr/share/games/crack-attack.
      (Closes: #149372)

 -- Colin Walters <walters@debian.org>  Sat,  8 Jun 2002 15:48:59 -0400

crack-attack (1.1.7.1-1) unstable; urgency=low

  * Fake new upstream version so we can switch to DBS.
  * debian/rules:
    - Change to use DBS.
    - Support DEB_BUILD_OPTIONS.
    - Change default optimization to -O2.
  * debian/control:
    - Build-Depend on dbs.

 -- Colin Walters <walters@debian.org>  Fri, 31 May 2002 14:56:00 -0400

crack-attack (1.1.7-2) unstable; urgency=low

  * debian/rules
    - Install upstream changelog (Closes: #142259).

 -- Colin Walters <walters@debian.org>  Fri, 12 Apr 2002 15:47:49 -0400

crack-attack (1.1.7-1) unstable; urgency=low

  * New upstream version.

 -- Colin Walters <walters@debian.org>  Mon,  8 Apr 2002 18:30:51 -0400

crack-attack (1.1.6-1) unstable; urgency=low

  * New upstream version.
  * debian/rules
    - Fix typo in --sysconfdir arg.

 -- Colin Walters <walters@debian.org>  Sat,  6 Apr 2002 21:45:58 -0500

crack-attack (1.1.5-5) unstable; urgency=low

  * Previous upload was rejected because the .orig.tar.gz didn't match.
    Still (Closes: #136127).

 -- Colin Walters <walters@debian.org>  Thu, 28 Feb 2002 18:43:35 -0500

crack-attack (1.1.5-4) unstable; urgency=low

  * Ok.  Really make things executable now.  Somehow they were made not
    executable in the .orig.tar.gz.  (Closes: #136127)

 -- Colin Walters <walters@debian.org>  Thu, 28 Feb 2002 17:26:36 -0500

crack-attack (1.1.5-3) unstable; urgency=low

  * install-sh, missing, mkinstalldirs: Make executable (Closes: #135741).
  * New upstream since last revision (Closes: #135971)

 -- Colin Walters <walters@debian.org>  Tue, 26 Feb 2002 21:28:06 -0500

crack-attack (1.1.5-2) unstable; urgency=medium

  * debian/rules:
    - Make `configure' executable (Closes: #135741).

 -- Colin Walters <walters@debian.org>  Mon, 25 Feb 2002 16:37:04 -0500

crack-attack (1.1.5-1) unstable; urgency=low

  * New upstream version.

 -- Colin Walters <walters@debian.org>  Sun, 24 Feb 2002 15:26:22 -0500

crack-attack (1.1.3-2) unstable; urgency=low

  * Change menu section to "Tetris-like" (Closes: #125774).
  * Add -1 to menu command so something actually happens when the user
    uses the menu :)

 -- Colin Walters <walters@debian.org>  Wed, 19 Dec 2001 03:49:47 -0500

crack-attack (1.1.3-1) unstable; urgency=medium

  * New upstream version, should build correctly using g++ 3.0.

 -- Colin Walters <walters@debian.org>  Tue, 18 Dec 2001 14:06:08 -0500

crack-attack (1.1.2-1) unstable; urgency=high

  * Initial Release (Closes: #121648).

 -- Colin Walters <walters@debian.org>  Wed, 28 Nov 2001 20:39:00 -0500
